Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.runtime.monitor
Class EventFilter

    java.lang.Object
      org.apache.ode.bpel.runtime.monitor.EventFilter

All Implemented Interfaces:
  java.io.Serializable

    public class EventFilter

extends java.lang.Object
implements java.io.Serializable

Specifies event filter associated with a process instance.

See Also:
  Serialized Form

Constructor Summary
`EventFilter(java.io.Serializable processInstance)` Constructor.
`EventFilter(java.io.Serializable processInstance, int skip)` Constructor.

Method Summary
`int` | `getMaxReturn()` Get the maximum number of events to return.
`java.io.Serializable` | `getProcessInstance()` Unique identifier of the process instance.
`int` | `getSkip()` The number of events to skip.
`void` | `setMaxReturn(int eventNo)` Set the maximum number of events to return.
`void` | `setSkip(int skip)` The number of events to skip.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EventFilter

    public EventFilter(java.io.Serializable processInstance)

  Constructor.

  Parameters:
    `processInstance` - process instance with which to associate this event filter

### EventFilter

    public EventFilter(java.io.Serializable processInstance,
                       int skip)

  Constructor.

  Parameters:
    `processInstance` - process instance with which to associate this event filter
    `skip` -

Method Detail

### setMaxReturn

    public void setMaxReturn(int eventNo)

  Set the maximum number of events to return.

  Parameters:
    `eventNo` - the maximum number of events to return

### getMaxReturn

    public int getMaxReturn()

  Get the maximum number of events to return.

  Returns:
    maximum number of events to return

### getProcessInstance

    public java.io.Serializable getProcessInstance()

  Unique identifier of the process instance.

  Returns:
    process instance identifier.

### setSkip

    public void setSkip(int skip)

  The number of events to skip. Useful for paging for event iteration.

  Parameters:
    `skip` - Events to skip.

### getSkip

    public int getSkip()

  The number of events to skip. Useful for paging for event iteration.

  Returns:
    Returns events to skip.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD